--SCHEMA
-- Les packages esia-ecatp-server et esia-interface ne fonctionnent pas si les tables gesa ne sont pas présentes.
CREATE TABLE gesa_connected (
    connected_gesa_id bigint NOT NULL,
    connected_device_id bigint NOT NULL
);


CREATE TABLE gesa_info (
    gesa_device_id bigint NOT NULL,
    gesa_max_slot integer,
    gesa_sn bigint,
        gesa_version_base character varying(10),
        gesa_version_nrpe character varying(10),
        gesa_version_plugin character varying(10),
        gesa_version_web character varying(10),
        gesa_repo_global character varying(100),
        gesa_repo_gesa character varying(100),
        gesa_last_update timestamp without time zone,
        gesa_rsbp character varying(10),
        gesa_local_ip inet
);

CREATE INDEX "gesa_index_deviceId"
  ON gesa_connected
  USING btree
  (connected_device_id);

ALTER TABLE ONLY gesa_connected
    ADD CONSTRAINT "gesa_connected_PrimaryKey" PRIMARY KEY (connected_gesa_id, connected_device_id);

ALTER TABLE ONLY gesa_connected
    ADD CONSTRAINT "gesa_connected_ForeignKey_device_id" FOREIGN KEY (connected_device_id) REFERENCES esia_device(device_id);

ALTER TABLE ONLY gesa_connected
    ADD CONSTRAINT "gesa_connected_ForeignKey_gesa" FOREIGN KEY (connected_gesa_id) REFERENCES esia_device(device_id);

ALTER TABLE ONLY gesa_info
    ADD CONSTRAINT "gesa_foreignKey_device_id" FOREIGN KEY (gesa_device_id) REFERENCES esia_device(device_id);

ALTER TABLE ONLY gesa_info
    ADD CONSTRAINT "gesa_primaryKey" PRIMARY KEY (gesa_device_id);

ALTER TABLE gesa_info ADD CONSTRAINT gesa_sn_unique UNIQUE (gesa_sn);
ALTER TABLE gesa_connected ADD CONSTRAINT connected_gesa_id_not_equal_device_id CHECK (connected_gesa_id != connected_device_id);
