

ALTER TABLE gesa_info ADD COLUMN gesa_version_base character varying(10);
ALTER TABLE gesa_info ADD COLUMN gesa_version_nrpe character varying(10);
ALTER TABLE gesa_info ADD COLUMN gesa_version_plugin character varying(10);
ALTER TABLE gesa_info ADD COLUMN gesa_version_web character varying(10);
ALTER TABLE gesa_info ADD COLUMN gesa_repo_global character varying(100);
ALTER TABLE gesa_info ADD COLUMN gesa_repo_gesa character varying(100);
ALTER TABLE gesa_info ADD COLUMN gesa_last_update timestamp without time zone;
ALTER TABLE gesa_info ADD COLUMN gesa_rsbp character varying(10);
-- Function: getdeviceingroup(integer, integer)

-- DROP FUNCTION getdeviceingroup(integer, integer);

CREATE OR REPLACE FUNCTION getdeviceingroup(
    IN userid integer,
    IN groupid integer)
  RETURNS TABLE(device_id integer) AS
$BODY$
    DECLARE
        v_service integer;
        BEGIN
	IF (groupid IS NOT NULL)
	THEN
		RETURN QUERY SELECT T1.device_id
				FROM esia_device AS T1
				JOIN esia_device_group_in ON T1.device_id = group_in_device_id
				JOIN esia_device_group ON device_group_id= group_in_device_group_id
				WHERE T1.device_id IN ( SELECT * FROM getUserAccessNode(userid)) AND device_delete=FALSE AND device_group_id = groupid ;
	ELSE
		RETURN QUERY SELECT T1.device_id
		FROM esia_device AS T1
		WHERE T1.device_id IN ( SELECT * FROM getUserAccessNode(userid)) AND device_delete=FALSE
			AND NOT EXISTS(SELECT group_in_device_id FROM esia_device_group_in WHERE group_in_device_id = T1.device_id);
	END IF;

   END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100
  ROWS 1000;

